### Hierarchy

- PromisedLanguageChains
- PromisedNumericComparison
- PromisedTypeComparison
  - Eventually
    - PromisedAssertion

### Callable

- __call(type: string, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:148

  #### Parameters

  - ##### type: string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

## Index

### Properties

- Arguments
- NaN
- Throw
- a
- above
- all
- an
- and
- any
- approximately
- arguments
- at
- be
- been
- below
- but
- change
- changes
- closeTo
- contain
- decrease
- decreases
- deep
- does
- empty
- eq
- eql
- eqls
- equal
- equals
- eventually
- exist
- extensible
- false
- frozen
- fulfilled
- greaterThan
- gt
- gte
- has
- have
- haveOwnProperty
- haveOwnPropertyDescriptor
- include
- increase
- increases
- instanceOf
- instanceof
- is
- itself
- keys
- least
- length
- lengthOf
- lessThan
- lt
- lte
- match
- matches
- members
- most
- nested
- not
- null
- of
- ok
- ordered
- ownProperty
- ownPropertyDescriptor
- property
- rejected
- rejectedWith
- respondTo
- respondsTo
- same
- satisfies
- satisfy
- sealed
- that
- throw
- throws
- to
- true
- undefined
- which
- with

### Methods

- become
- key
- notify
- oneOf
- string
- within

## Properties

### Arguments

Arguments: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:65

### NaN

NaN: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:61

### Throw

Throw: PromisedThrow

- Defined in node_modules/@types/chai-as-promised/index.d.ts:85

### a

a: PromisedTypeComparison

- Defined in node_modules/@types/chai-as-promised/index.d.ts:52

### above

above: PromisedNumberComparer

Inherited from PromisedNumericComparison.above

- Defined in node_modules/@types/chai-as-promised/index.d.ts:131

### all

all: PromisedKeyFilter

- Defined in node_modules/@types/chai-as-promised/index.d.ts:51

### an

an: PromisedTypeComparison

- Defined in node_modules/@types/chai-as-promised/index.d.ts:53

### and

and: PromisedAssertion

Inherited from PromisedLanguageChains.and

- Defined in node_modules/@types/chai-as-promised/index.d.ts:119

### any

any: PromisedKeyFilter

- Defined in node_modules/@types/chai-as-promised/index.d.ts:50

### approximately

approximately: PromisedCloseTo

- Defined in node_modules/@types/chai-as-promised/index.d.ts:92

### arguments

arguments: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:64

### at

at: PromisedAssertion

Inherited from PromisedLanguageChains.at

- Defined in node_modules/@types/chai-as-promised/index.d.ts:123

### be

be: PromisedAssertion

Inherited from PromisedLanguageChains.be

- Defined in node_modules/@types/chai-as-promised/index.d.ts:114

### been

been: PromisedAssertion

Inherited from PromisedLanguageChains.been

- Defined in node_modules/@types/chai-as-promised/index.d.ts:115

### below

below: PromisedNumberComparer

Inherited from PromisedNumericComparison.below

- Defined in node_modules/@types/chai-as-promised/index.d.ts:136

### but

but: PromisedAssertion

Inherited from PromisedLanguageChains.but

- Defined in node_modules/@types/chai-as-promised/index.d.ts:126

### change

change: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:98

### changes

changes: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:99

### closeTo

closeTo: PromisedCloseTo

- Defined in node_modules/@types/chai-as-promised/index.d.ts:91

### contain

contain: PromisedInclude

- Defined in node_modules/@types/chai-as-promised/index.d.ts:55

### decrease

decrease: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:96

### decreases

decreases: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:97

### deep

deep: PromisedDeep

- Defined in node_modules/@types/chai-as-promised/index.d.ts:47

### does

does: PromisedAssertion

Inherited from PromisedLanguageChains.does

- Defined in node_modules/@types/chai-as-promised/index.d.ts:127

### empty

empty: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:63

### eq

eq: PromisedEqual

- Defined in node_modules/@types/chai-as-promised/index.d.ts:68

### eql

eql: PromisedEqual

- Defined in node_modules/@types/chai-as-promised/index.d.ts:69

### eqls

eqls: PromisedEqual

- Defined in node_modules/@types/chai-as-promised/index.d.ts:70

### equal

equal: PromisedEqual

- Defined in node_modules/@types/chai-as-promised/index.d.ts:66

### equals

equals: PromisedEqual

- Defined in node_modules/@types/chai-as-promised/index.d.ts:67

### eventually

eventually: Eventually

Inherited from PromisedLanguageChains.eventually

- Defined in node_modules/@types/chai-as-promised/index.d.ts:110

### exist

exist: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:62

### extensible

extensible: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:100

### false

false: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:58

### frozen

frozen: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:102

### fulfilled

fulfilled: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:40

### greaterThan

greaterThan: PromisedNumberComparer

Inherited from PromisedNumericComparison.greaterThan

- Defined in node_modules/@types/chai-as-promised/index.d.ts:133

### gt

gt: PromisedNumberComparer

Inherited from PromisedNumericComparison.gt

- Defined in node_modules/@types/chai-as-promised/index.d.ts:132

### gte

gte: PromisedNumberComparer

Inherited from PromisedNumericComparison.gte

- Defined in node_modules/@types/chai-as-promised/index.d.ts:135

### has

has: PromisedAssertion

Inherited from PromisedLanguageChains.has

- Defined in node_modules/@types/chai-as-promised/index.d.ts:120

### have

have: PromisedAssertion

Inherited from PromisedLanguageChains.have

- Defined in node_modules/@types/chai-as-promised/index.d.ts:121

### haveOwnProperty

haveOwnProperty: PromisedOwnProperty

- Defined in node_modules/@types/chai-as-promised/index.d.ts:73

### haveOwnPropertyDescriptor

haveOwnPropertyDescriptor: PromisedOwnPropertyDescriptor

- Defined in node_modules/@types/chai-as-promised/index.d.ts:75

### include

include: PromisedInclude

- Defined in node_modules/@types/chai-as-promised/index.d.ts:54

### increase

increase: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:94

### increases

increases: PromisedPropertyChange

- Defined in node_modules/@types/chai-as-promised/index.d.ts:95

### instanceOf

instanceOf: PromisedInstanceOf

Inherited from PromisedTypeComparison.instanceOf

- Defined in node_modules/@types/chai-as-promised/index.d.ts:151

### instanceof

instanceof: PromisedInstanceOf

Inherited from PromisedTypeComparison.instanceof

- Defined in node_modules/@types/chai-as-promised/index.d.ts:150

### is

is: PromisedAssertion

Inherited from PromisedLanguageChains.is

- Defined in node_modules/@types/chai-as-promised/index.d.ts:116

### itself

itself: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:88

### keys

keys: PromisedKeys

- Defined in node_modules/@types/chai-as-promised/index.d.ts:81

### least

least: PromisedNumberComparer

Inherited from PromisedNumericComparison.least

- Defined in node_modules/@types/chai-as-promised/index.d.ts:134

### length

length: PromisedLength

- Defined in node_modules/@types/chai-as-promised/index.d.ts:76

### lengthOf

lengthOf: PromisedLength

- Defined in node_modules/@types/chai-as-promised/index.d.ts:77

### lessThan

lessThan: PromisedNumberComparer

Inherited from PromisedNumericComparison.lessThan

- Defined in node_modules/@types/chai-as-promised/index.d.ts:138

### lt

lt: PromisedNumberComparer

Inherited from PromisedNumericComparison.lt

- Defined in node_modules/@types/chai-as-promised/index.d.ts:137

### lte

lte: PromisedNumberComparer

Inherited from PromisedNumericComparison.lte

- Defined in node_modules/@types/chai-as-promised/index.d.ts:140

### match

match: PromisedMatch

- Defined in node_modules/@types/chai-as-promised/index.d.ts:78

### matches

matches: PromisedMatch

- Defined in node_modules/@types/chai-as-promised/index.d.ts:79

### members

members: PromisedMembers

- Defined in node_modules/@types/chai-as-promised/index.d.ts:93

### most

most: PromisedNumberComparer

Inherited from PromisedNumericComparison.most

- Defined in node_modules/@types/chai-as-promised/index.d.ts:139

### nested

nested: PromisedNested

- Defined in node_modules/@types/chai-as-promised/index.d.ts:49

### not

not: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:46

### null

null: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:59

### of

of: PromisedAssertion

Inherited from PromisedLanguageChains.of

- Defined in node_modules/@types/chai-as-promised/index.d.ts:124

### ok

ok: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:56

### ordered

ordered: PromisedOrdered

- Defined in node_modules/@types/chai-as-promised/index.d.ts:48

### ownProperty

ownProperty: PromisedOwnProperty

- Defined in node_modules/@types/chai-as-promised/index.d.ts:72

### ownPropertyDescriptor

ownPropertyDescriptor: PromisedOwnPropertyDescriptor

- Defined in node_modules/@types/chai-as-promised/index.d.ts:74

### property

property: PromisedProperty

- Defined in node_modules/@types/chai-as-promised/index.d.ts:71

### rejected

rejected: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:41

### rejectedWith

rejectedWith: PromisedThrow

- Defined in node_modules/@types/chai-as-promised/index.d.ts:42

### respondTo

respondTo: PromisedRespondTo

- Defined in node_modules/@types/chai-as-promised/index.d.ts:86

### respondsTo

respondsTo: PromisedRespondTo

- Defined in node_modules/@types/chai-as-promised/index.d.ts:87

### same

same: PromisedAssertion

Inherited from PromisedLanguageChains.same

- Defined in node_modules/@types/chai-as-promised/index.d.ts:125

### satisfies

satisfies: PromisedSatisfy

- Defined in node_modules/@types/chai-as-promised/index.d.ts:90

### satisfy

satisfy: PromisedSatisfy

- Defined in node_modules/@types/chai-as-promised/index.d.ts:89

### sealed

sealed: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:101

### that

that: PromisedAssertion

Inherited from PromisedLanguageChains.that

- Defined in node_modules/@types/chai-as-promised/index.d.ts:117

### throw

throw: PromisedThrow

- Defined in node_modules/@types/chai-as-promised/index.d.ts:83

### throws

throws: PromisedThrow

- Defined in node_modules/@types/chai-as-promised/index.d.ts:84

### to

to: PromisedAssertion

Inherited from PromisedLanguageChains.to

- Defined in node_modules/@types/chai-as-promised/index.d.ts:113

### true

true: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:57

### undefined

undefined: PromisedAssertion

- Defined in node_modules/@types/chai-as-promised/index.d.ts:60

### which

which: PromisedAssertion

Inherited from PromisedLanguageChains.which

- Defined in node_modules/@types/chai-as-promised/index.d.ts:118

### with

with: PromisedAssertion

Inherited from PromisedLanguageChains.with

- Defined in node_modules/@types/chai-as-promised/index.d.ts:122

## Methods

### become

- become(expected: any): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:39

  #### Parameters

  - ##### expected: any

  #### Returns PromisedAssertion

### key

- key(string: string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:82

  #### Parameters

  - ##### string: string

  #### Returns PromisedAssertion

### notify

- notify(fn: Function): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:43

  #### Parameters

  - ##### fn: Function

  #### Returns PromisedAssertion

### oneOf

- oneOf(list: any[], message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:103

  #### Parameters

  - ##### list: any[]

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

### string

- string(string: string, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:80

  #### Parameters

  - ##### string: string

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

### within

- within(start: number, finish: number, message?: undefined | string): PromisedAssertion

- Inherited from PromisedNumericComparison.within

  - Defined in node_modules/@types/chai-as-promised/index.d.ts:141

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

Generated using TypeDoc